This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 512653 - kernel: use -fno-strict-overflow instead of -fwrapv [mrg-1]
kernel: use -fno-strict-overflow instead of -fwrapv [mrg-1]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
Development
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Real Time Maintenance
David Sommerseth
:
Depends On: 512650
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-20 03:55 EDT by Eugene Teo (Security Response)
Modified: 2016-05-22 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 512650
Environment:
Last Closed: 2009-07-29 04:11:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-07-20 03:55:18 EDT
+++ This bug was initially created as a clone of Bug #512650 +++

Description of problem:
[PATCH] Don't use '-fwrapv' compiler option: it's buggy in gcc-4.1.x

This causes kernel images that don't run init to completion with certain broken gcc versions.

This fixes kernel bugzilla entry:
	http://bugzilla.kernel.org/show_bug.cgi?id=13012

I suspect the gcc problem is this:
	http://gcc.gnu.org/bugzilla/show_bug.cgi?id=28230

Fix the problem by using the -fno-strict-overflow flag instead, which not only does not exist in the known-to-be-broken versions of gcc (it was introduced later than fwrapv), but seems to be much less disturbing to gcc too: the difference in the generated code by -fno-strict-overflow are smaller (compared to using neither flag) than when using -fwrapv.

Upstream commit:
http://git.kernel.org/linus/a137802ee839ace40079bebde24cfb416f73208a

--- Additional comment from eteo@redhat.com on 2009-07-20 03:49:08 EDT ---

Related to bug 491264.

Note You need to log in before you can comment on or make changes to this bug.